Bug 184040 - gtk2 erroneously includes some libtool .la file
gtk2 erroneously includes some libtool .la file
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2006-03-05 05:40 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-05 22:02:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-03-05 05:40:39 EST
Description of problem:
$RPM_BUILD_ROOT%{_libdir}/*.la, $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/
immodules/*.la and $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/loaders/*.la are 
removed, but $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/engines/*.la was skipped. 

Is there a special reason for skipping the last one? Note, this bug report is 
very similar to bug #132792, but it is *not* a duplicate.

Version-Release number of selected component (if applicable):

How reproducible:
Rebuild gtk2 using rpm 4.4.5 and it will stop at installing with a failed 
libtool dependency.

Actual results:
Including the %{_libdir}/gtk-2.0/2.4.0/engines/*.la file but not the whole rest 
of *.la in gtk2 will break installing of the gtk2 package at least with the new 
rpm 4.4.5 which has libtool detection.

Expected results:
Please apply the following fix (or better) to the gtk2 spec file (maybe you need 
--ignore-whitespace as patch argument) for the next rebuilding:

--- gtk2.spec       2006-03-01 15:09:35.000000000 +0100
+++ gtk2.spec.rsc   2006-03-05 11:42:11.000000000 +0100
@@ -201,6 +211,7 @@
 rm $RPM_BUILD_ROOT%{_libdir}/*.la
 rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/immodules/*.la
 rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/loaders/*.la
+rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/engines/*.la

 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/$host
 touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/$host/gtk.immodules

At least this change shouldn't break anything else, as far as I can see while 
doing some other rebuilding tests. Thank you! :)

Additional info:
rpm 4.4.5 is not yet in Rawhide, but should hopefully come up after FC5 release.
Comment 1 Matthias Clasen 2006-03-05 22:02:37 EST
Will be fixed in the next build

Note You need to log in before you can comment on or make changes to this bug.